%global _hardened_build 1

Name:		proxychains-ng
Version:	4.10
Release:	1%{?dist}
Summary:	Redirect connections through proxy servers
Group:		Applications/Internet

License:	GPLv2+
URL:		https://github.com/rofl0r/proxychains-ng
Source0:	http://downloads.sourceforge.net/%{name}/proxychains-%{version}.tar.bz2

Provides:	proxychains = %{version}
Obsoletes:	proxychains < %{version}

%description
ProxyChains NG is based on ProxyChains.

ProxyChains NG hooks network-related (TCP only) libc functions in dynamically
linked programs via a preloaded DSO (dynamic shared object) and redirects the
connections through one or more SOCKS4a/5 or HTTP proxies.

Since Proxy Chains NG relies on the dynamic linker, statically linked binaries
are not supported.

%prep
%setup -q -n proxychains-%{version}

%build
%configure --disable-static --libdir=%{_libdir}/%{name}
make %{?_smp_mflags}

%install
%make_install install-config
chmod +x %{buildroot}%{_libdir}/%{name}/libproxychains4.so

%files
%license COPYING
%doc AUTHORS README TODO
%config(noreplace) %{_sysconfdir}/proxychains.conf
%{_bindir}/proxychains4
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libproxychains4.so

%changelog
* Sun Jun 14 2015 Pranav Kant <pranvk@fedoraproject.org> 4.10-1
- Update to 4.10

* Sun Jun 14 2015 Pranav Kant <pranvk@fedoraproject.org> 4.8.1-9
- Fix source URL

* Thu May 21 2015 Pranav Kant <pranvk@fedoraproject.org> 4.8.1-8
- Fix CVE-2015-3887

* Fri May 8 2015 Pranav Kant <pranav913@gmail.com> 4.8.1-7
- Fixed fsf patch from upstream
- Added Obsoletes

* Tue Mar 17 2015 Pranav Kant <pranav913@gmail.com> 4.8.1-6
- Remove legacy script - proxyresolv4
- Move .so file to application-specific directory

* Mon Mar 16 2015 Pranav Kant <pranav913@gmail.com> 4.8.1-5
- Remove .so versioning

* Mon Mar 16 2015 Pranav Kant <pranav913@gmail.com> 4.8.1-4
- Install .so file with executable flags
- Replace old optflags patch with corrected patch

* Wed Mar 11 2015 Pranav Kant <pranav913@gmail.com> 4.8.1-3
- Dropped Obsoletes

* Mon Feb 2 2015 Pranav Kant <pranav913@gmail.com> 4.8.1-2
- Moved COPYING to %%license
- Downstream .so name versioning

* Fri Sep 26 2014 Pranav Kant <pranav913@gmail.com> 4.8.1-1
- Changed the URL from sourceforge to github
- Consistently used macros instead of variables
- Turn PIE on
- Fixed minor release numbering issue
- Added a patch for makefile to honour optflags
